Bug 149974 - up2date kernel source yields error DB_PAGE_NOTFOUND
up2date kernel source yields error DB_PAGE_NOTFOUND
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rpm (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-28 21:55 EST by Robert Perkins
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-03 06:58:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Perkins 2005-02-28 21:55:20 EST
Description of problem:
run up2date kernel-source on RHEL3 WS internal IT load over VPN from home.

Version-Release number of selected component (if applicable):
RHEL3 U4.

How reproducible:


Steps to Reproduce:
1. up2date kernel-source
2.
3.
  
Actual results:
oot@fnagel src]# up2date kernel-source
Invalid group id server-cfg
error: db4 error(-30988) from dbcursor->c_get: DB_PAGE_NOTFOUND:
Requested page not found
error: db4 error(-30988) from dbcursor->c_get: DB_PAGE_NOTFOUND:
Requested page not found
 
Fetching Obsoletes list for channel: rhel-i386-ws-3...
 
Fetching Obsoletes list for channel: helpdesk-ws3-apps...
 
Fetching Obsoletes list for channel: helpdesk-ws3-laptop...
 
Fetching Obsoletes list for channel: rhel-i386-ws-3-extras...
 
Fetching Obsoletes list for channel: rhel3-i386-stable...
 
Fetching rpm headers...
########################################
 
Name                                    Version        Rel
----------------------------------------------------------
kernel-source                           2.4.21         27.0.2.EL     
   i386
 
error: db4 error(-30988) from dbcursor->c_get: DB_PAGE_NOTFOUND:
Requested page not found
error: db4 error(-30988) from dbcursor->c_get: DB_PAGE_NOTFOUND:
Requested page not found
 
Testing package set / solving RPM inter-dependencies...
error: db4 error(-30988) from dbcursor->c_get: DB_PAGE_NOTFOUND:
Requested page not found
error: db4 error(-30988) from dbcursor->c_get: DB_PAGE_NOTFOUND:
Requested page not found
error: db4 error(-30988) from dbcursor->c_get: DB_PAGE_NOTFOUND:
Requested page not found
error: db4 error(-30988) from dbcursor->c_get: DB_PAGE_NOTFOUND:
Requested page not found
########################################
kernel-source-2.4.21-27.0.2 ^[[A^[[A^[[A^[[A#######                  
  77 k/sec, 00:06:24
r^[[B^[[B^[[B^[[B^[[B^[[B^[[B^[[B^[[B^[[B^[[B^[[B^[[B^[[B#######     
               78 k/sec^[[B^[[B^[[B^[[B^[[B^[[B^[[B^[[B############# 
             52 k/sec, 00:06:17 rem.
 
 
##################          61 k/sec, 00:03:12 rem.
 
 
 


Expected results:


Additional info:
Comment 1 Jeff Johnson 2005-03-03 06:58:26 EST
Doing
    rm -f /var/lib/rpm/__db*
will remove the cache files (wherein the page is not found).
The cache will be recreated as needed.


Note You need to log in before you can comment on or make changes to this bug.